Skip to content
Start here

Fetch all apps

client.RealtimeKit.Apps.Get(ctx, params) (*AppGetResponse, error)
GET/accounts/{account_id}/realtime/kit/apps

Fetch all apps for your account

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
params AppGetParams
AccountID param.Field[string]

Path param: The account identifier tag.

maxLength32
PageNo param.Field[int64]Optional

Query param: The page number from which you want your page search results to be displayed.

minimum1
PerPage param.Field[int64]Optional

Query param: Number of results per page.

minimum1
SortOrder param.Field[AppGetParamsSortOrder]Optional

Query param: Sort order for apps by creation time.

const AppGetParamsSortOrderAsc AppGetParamsSortOrder = "ASC"
const AppGetParamsSortOrderDesc AppGetParamsSortOrder = "DESC"
ReturnsExpand Collapse
type AppGetResponse struct{…}
Data []AppGetResponseDataOptional
ID stringOptional
formatuuid
CreatedAt TimeOptional
formatdate-time
Name stringOptional
Paging AppGetResponsePagingOptional
EndOffset float64Optional
StartOffset float64Optional
TotalCount float64Optional
Success boolOptional

Fetch all apps

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  app, err := client.RealtimeKit.Apps.Get(context.TODO(), realtime_kit.AppGetParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", app.Data)
}
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "created_at": "2025-01-01T08:16:40.644Z",
      "id": "14a396e7-ca44-4937-bf1f-050a69118543",
      "name": "my-first-app"
    }
  ],
  "paging": {
    "end_offset": 1,
    "start_offset": 1,
    "total_count": 1
  },
  "success": true
}